<script setup>
import { IndexPage } from '@/app/core/pages/crud';
import model from '@/modules/questions/models/questions_answers';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import RouterLink from '@/app/components/vue/RouterLink.vue';
import Index from '@/app/components/crud/Index.vue';
</script>

<script>
export default {
    data() {
        return new IndexPage({
            context: this,
            title: this.__('Ответы'),
            model: model,
            http: {
                path: 'questions/answers',
                query: {},
            },
            actions: ['show', 'update', 'delete', 'restore'],
        });
    },
};
</script>

<template>
    <PageTitle :text="title">
    </PageTitle>

    <Index />
</template>
